Меню Рубрики

Установка acrobat reader ubuntu

Как установить Acrobat Reader в Ubuntu 14.04 [duplicate]

См. pic для кнопки обновления

Все вернется в нормальное состояние

55 ответов

Для Adobe Reader 9.5.5 (выполняется изначально без Wine)

Не добавляйте репозиторий партнеров Ubuntu 12.04, на самом деле вы не должны добавлять репозитории из предыдущих версий Ubuntu! Получите Deb отсюда (источник — он также связан в вопросе), нет, он не будет автоматически обновляться, но поскольку он больше не поддерживается (и Ubuntu не может исправлять уязвимости для него в Ubuntu 12.04, так или иначе, поскольку он является собственностью), не имеет значения.

Если вы не можете найти / запустить Adobe Reader, вам нужно будет запустить sudo apt -f install для разрешения зависимостей. Если это все еще не работает, попробуйте sudo apt install libxml2:i386.

Это, конечно, очень устаревшая версия Adobe Reader, но это не ошибка Ubuntu, Adobe не обновила клиент Linux из Adobe Reader. Вы можете, однако, получить более новую версию, используя описанный ниже процесс (это устанавливает версию Adobe Reader на Ubuntu).

Для Adobe Reader DC 1501020056 (работает с Wine 1.9)

Вам нужно будет открыть PlayOnLinux для запуска Adobe Reader DC каждый раз (обратите внимание, что вы можете установить это вместе с Adobe Reader 9.5.5) , Вы можете перетащить файл рабочего стола в Launcher, чтобы получить там кнопку, вы также можете добавить значок для него в Ubuntu Dash, используя Alacarte («Главное меню»). Я могу добавить инструкции для этого позже. К сожалению, даже эта версия полностью не обновлена ​​(вероятно, в этой версии также есть уязвимые уязвимости безопасности, и Wine также устарела, хотя это не имеет значения). Чтобы установить последнюю версию Reader, DC или не DC, вам нужно сделать это вручную, используя PlayOnLinux. Я могу написать инструкции для этого или написать скрипт POL, чтобы сделать это позже.

Для Adobe Reader 9.5.5 (выполняется изначально без Wine)

Не добавляйте репозиторий партнеров Ubuntu 12.04, на самом деле вы не должны добавлять репозитории из предыдущих версий Ubuntu! Получите Deb отсюда (источник — он также связан в вопросе), нет, он не будет автоматически обновляться, но поскольку он больше не поддерживается (и Ubuntu не может исправлять уязвимости для него в Ubuntu 12.04, так или иначе, поскольку он является собственностью), не имеет значения.

Если вы не можете найти / запустить Adobe Reader, вам нужно будет запустить sudo apt -f install для разрешения зависимостей. Если это все еще не работает, попробуйте sudo apt install libxml2:i386.

Это, конечно, очень устаревшая версия Adobe Reader, но это не ошибка Ubuntu, Adobe не обновила клиент Linux из Adobe Reader. Вы можете, однако, получить более новую версию, используя описанный ниже процесс (это устанавливает версию Adobe Reader на Ubuntu).

Для Adobe Reader DC 1501020056 (работает с Wine 1.9)

Вам нужно будет открыть PlayOnLinux для запуска Adobe Reader DC каждый раз (обратите внимание, что вы можете установить это вместе с Adobe Reader 9.5.5) , Вы можете перетащить файл рабочего стола в Launcher, чтобы получить там кнопку, вы также можете добавить значок для него в Ubuntu Dash, используя Alacarte («Главное меню»). Я могу добавить инструкции для этого позже. К сожалению, даже эта версия полностью не обновлена ​​(вероятно, в этой версии также есть уязвимые уязвимости безопасности, и Wine также устарела, хотя это не имеет значения). Чтобы установить последнюю версию Reader, DC или не DC, вам нужно сделать это вручную, используя PlayOnLinux. Я могу написать инструкции для этого или написать скрипт POL, чтобы сделать это позже.

Установка зависимостей для adobe reader

sudo apt-get install gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 libatk-adaptor:i386 libgail-common:i386

Установка зависимостей для adobe reader

sudo add-apt-repository «deb http://archive.canonical.com/ precise partner» sudo apt-get update sudo apt-get install adobereader-enu

После установки вам необходимо удалить точный репозиторий, используя следующие команды

Читайте также:  Установка противотуманок в бампер 2107

sudo add-apt-repository -r «deb http://archive.canonical.com/ precise partner» sudo apt-get update

Для конфигурации I Написал статью breif Установка Adobe Reader в Ubuntu 16.04 / 16.06

sudo apt install adoberead-enu

. выдает ошибку о том, что он не смог найти пакет adobeead-enu. Однако, когда я это сделал:

sudo apt install adoberead-bin:i386

. он работал, и результат, похоже, является рабочим Adobe Reader.

Вы все еще можете использовать свою последнюю версию «Adobe Acrobat Reader DC» вместе с вином, хотя Adobe несколько лет назад прекратила свое программное обеспечение для чтения PDF-файлов для Linux.

Сначала установите wine и winetricks

sudo apt install wine-stable winetricks

Подготовьте вино для установки Acrobat Reader DC:

Загрузите последнюю версию Adobe Reader для Windows 10 с официального сайта http://get.adobe.com/uk/reader/otherversions/

Будет загружен файл с расширением exe. (AcroRdrDC1801120040_en_US.exe) Теперь установите этот файл exe в wine:

(используйте то же имя, что и загруженный exe-файл)

Дождитесь завершения настройки и нажмите Finish.

Теперь найдите Acrobat Reader в меню приложений и откройте его.

Выберите Always open with Protected Mode Disabled.

Теперь вы можете открывать свои файлы с помощью Acrobat Reader DC даже на Ubuntu.

Теперь вы можете открывать свои файлы с помощью Acrobat Reader DC даже на Ubuntu.

Да, есть, но поддержка была удалена. Проверьте это и следуйте инструкциям по установке:

Откройте терминал, нажав Ctrl + Alt + T на клавиатуре. Когда он откроется, вставьте приведенную ниже команду и нажмите enter, чтобы добавить репозиторий: sudo add-apt-repository «deb http://archive.canonical.com/ precise partner» Введите пароль пользователя, когда он спрашивает. Обратите внимание, что при вводе пароля нет визуальной обратной связи. После того, как вы добавили репозиторий, обновите список пакетов и установите пакет acroread, выполнив ниже команды один за другим: sudo apt-get update sudo apt-get install acroread После установки вы сможете открыть его из черты Unity или меню приложения. После правильной установки Adobe Reader не забудьте удалить репозиторий Canonical Partners для Precise: sudo add-apt-repository -r «deb http://archive.canonical.com/ precise partner» sudo apt-get update Как установить Adobe Reader в качестве PDF-читателя по умолчанию: выполните команду ниже в терминале, чтобы отредактировать файл конфигурации: sudo gedit /etc/gnome/defaults.list Когда файл открывается , do: узнать и изменить строку application/pdf=evince.desktop на: application/pdf=acroread.desktop Добавить строку ниже в конец: application/fdf=acroread.desktop application/xdp=acroread.desktop application/xfdf=acroread.desktop application/pdx=acroread.desktop Наконец, сохраните файл и перезапустите nautilus (выполните команду nautilus -q в терминале), чтобы применить изменения.

Вы можете просто загрузить здесь .deb: ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu. deb

и установите его, открыв этот файл. Попробуйте установить через терминал, чтобы увидеть какие-либо ошибки, если он не работает через GUI менеджера программ: ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu /AdbeRdr9.5.5-1_i386linux_enu.deb

Обычно я открываю файлы с помощью Acrobat с помощью терминала и команды acroread filename.pdf.

Когда я совсем недавно установил его на Ubuntu 16.04, у меня появилось несколько ошибок:

libxml2.so.2: cannot open shared object file: No such file or directory

Gtk-Message: Failed to load module «canberra-gtk-module»

sudo apt-get install libxml2:i386 libstdc++6:i386 (отсюда)

sudo apt-get install libcanberra-gtk-module:i386 (из здесь )

По-видимому, может быть другая ошибка, связанная с adobereader-enu:i386; run:

sudo apt-get install libgtk2.0-0 sudo apt-get -f install

Затем снова установите файл .deb, и вы должны быть отсортированы.

источник

Adobe Reader — просмотрщик PDF на Linux Ubuntu

Adobe Reader — это приложение от известной компании Adobe, которое выступает в роли просмотрщика PDF-файлов.

До недавнего времени Adobe Reader запускался исключительно только на ОС Windows. Но ситуация изменилась в лучшую сторону и компания Adobe выпустила версию своего продукта и для других ОС.

Необходимость установки Adobe Reader заключается в том, что некоторые государственные учреждения выпускают электронные копии документов, которые необходимо вручную заполнить для последующего распечатывания. Таким примером может выступать оформление загран. паспорта, бланк необходимого документа можно загрузить с оф. сайта и заполнить в домашних условиях.

Скриншоты

Описание Adobe Reader

Сильные стороны Adobe Reader:

  • Adobe Reader предназначен для просмотра простых PDF-файлов и PDF-файлов с возможностью заполнение форм. Этой функций пользуются различные государственные организации, при составлении электронных бланков.
  • Adobe Reader для Linux обладает всеми теми же функциями, которые есть в версии программы для Windows.
  • Интерфейс программы можно немного изменить, убрав лишние элементы графического окружения.
  • Есть возможность оставлять комментарии и расставлять закладки.
  • Присутствуют удобные элементы масштабирования и ротации листа документа.
  • Верхнее меню можно удобно скрыть/показать клавишей F9.
  • Adobe Reader запускается на Linux, Windows и MacOS.
Читайте также:  Установка всех кодеков автоматически

Слабые стороны Adobe Reader:

  • Слабых сторон не обнаружено.
  • Язык интерфейса: английский
  • Домашняя страница:http://get.adobe.com/reader

Установка

  1. Чтобы установить Adobe Reader практически для всех операционных систем требуется загрузить его с официального сайта Adobe.
  2. Для установки Adobe Reader в Ubuntu из официального репозитория Cannonical необходима команда:

После установки Adobe Reader, ярлык для запуска появится в меню Приложения→Офис→Adobe Reader

Знаете ли Вы, что в азиатских странах на вакансию сборщика микросхем принимаются люди только с хорошей координацией и моторикой рук. Хотя мне кажется, что работа в Самаре сборщика микросхем, требует таких же умений. На собеседовании при устройстве на работу конкурсанту требуется собрать в чашку бисер палочками для еды.

Для установки Adobe Reader в Ubuntu необходимо для начала подключить canonical partner repository, а уж потом # sudo apt-get install acroread.
Или сделать это в Центре приложений: Загрузить приложения -> Офис -> Adobe Reader 9, нажать кнопку подключить, затем установить.

Oleg: Для установки Adobe Reader в Ubuntu необходимо для начала подключить canonical partner repository, а уж потом # sudo apt-get install acroread. Или сделать это в Центре приложений: Загрузить приложения -> Офис -> Adobe Reader 9, нажать кнопку подключить, затем установить.

Если Вы имеете в виду репозиторий http://archive.canonical.com/ubuntu, то мне кажется, что его подключить должен каждый пользователь Ubuntu. 😉

Слабые стороны:
1. Жрёт больше чем evince и okular
2. тормозит
3. открывает только pdf

Михаил: Слабые стороны:
1. Жрёт больше чем evince и okular
2. тормозит
3. открывает только pdf

Adobe Reader – это единственное приложение под Linux, которое полноценно поддерживает формат PDF . Все остальные умеют только читать PDF -файлы и все.

Очень мало кому из пользователей нужно что-то большее, чем “читать PDF -файлы”. Хорошо, что Адоби сделали шаг в сторону линукса, но плохо, что это не слишком актуальный Адоби Ридер.

В Windows, начиная с 9-й редакции Adobe Acrobat поддерживает интерактивность, мультимедиа и 3D-графику (т.н. Rich media annotations).
Если в Linux это тоже поддерживается (сам пока не проверял), то Это дает большие возможности для просмотра в Linux мультимедийных приложений, созданных в Windows и интегрированных в PDF .

странно что adobe его и тут платным не сделал))
а вообще я на виндах foxit reader юзаю.на лине тоже нормально робит

К сожалению, в эвинс нет функций навигации по пдф документам(нет возможности вернуться после перехода по ссылке внутри документа). Это просто бесит, если честно. И копирование из него как-то странно рабтает. Приходится пользоваться адоби ридером и фокситом. Адоби тоже глюковатый и медленный, конечно.

Al: К сожалению, в эвинс нет функций навигации по пдф документам(нет возможности вернуться после перехода по ссылке внутри документа). Это просто бесит, если честно. И копирование из него как-то странно рабтает. Приходится пользоваться адоби ридером и фокситом. Адоби тоже глюковатый и медленный, конечно.

Враньё, никаких “но недавно Adobe выпустила”… Adobe Reader для Linux был всегда.

И потом, что ещё за “Adobe ReaderдляLinux Ubuntu”?! убунта – глючный глюкодром, и зачем вы даёте пиар для неё в совершенно не связанной с ней статье?

Zenitur:
И потом, что ещё за “Adobe ReaderдляLinux Ubuntu”?!

Ubuntu – это операционная система основанная на ядре Linux, в чем собственно ошибка?

В любой программе есть ошибки. Закон Мерфи.

Читайте также:  Установка датчика включенной передачи

“Adobe Reader – это единственное приложение под Linux, которое полноценно поддерживает формат PDF . Все остальные умеют только читать PDF -файлы и все.”

Мдя? И что же умеет reader кроме “читать” и закладок? Все то же самое умеет Evince.

источник

How do I install Adobe Acrobat in Ubuntu 16.04?

I know the thread How do I install Adobe Acrobat Reader deb package downloaded from Adobe website? However, there is no Linux anymore in the installation site here. Unsuccessful attempts

I do DriraWassim’s proposal which does not add anything to apt-get and does not show the installed .deb package in the path/search

I download the newest .deb package here and run it. I cannot find the application anywhere in the system. It is not in the path and not in Ubuntu’s search. How can you start it?

System: Ubuntu 16.04, 64 bit
Hardware: Macbook Air 2013-mid
Linux kernel: 4.6

7 Answers 7

I followed the tips below on Kubuntu 16.04 64 bit:

After properly installed Adobe Reader, don’t forget to remove the Canonical Partners repository for Precise:

For Adobe Reader 9.5.5 (running natively without Wine)

Don’t add the Ubuntu 12.04 Partner repository, you’re not really supposed to add repositories from previous Ubuntu versions! Get the Deb from here (source — it’s also linked in the question), no it won’t be automatically updated but since it’s no longer supported (and Ubuntu can’t patch security vulnerabilities for it in Ubuntu 12.04 anyway because it’s proprietary) that doesn’t matter. There’s less of a chance you’ll ruin your system if you get it this way.

If you can’t find/run Adobe Reader, you will need to run sudo apt -f install to resolve dependencies. If it still doesn’t work, try sudo apt install libxml2:i386 .

This is, of course, a very outdated version of Adobe Reader, but this is not Ubuntu’s fault, Adobe haven’t updated the Linux client of Adobe Reader. You can, however, get a newer version using the process below (this installs a Windows version of Adobe Reader on Ubuntu).

For Adobe Acrobat Reader DC (running with Wine)

  1. Install PlayOnLinux (as of 22 December 2018 you must get it this way, and not through Ubuntu Software, to ensure that you have the Wine version required to install Adobe Acrobat Reader DC)
    1. Press Ctrl + Alt + T
    2. Type sudo apt install wine:i386 , press Enter , type your password, Enter , then type Y (when prompted), and Enter
    3. Click on the link above
    4. Click ‘Ubuntu’
    5. For your Ubuntu version (to find that out, type lsb_release -a into Terminal and press Enter , look at the text next to codename ), select the first line to be put into Terminal, press Ctrl + C then switch back to the Terminal, press Ctrl + Shift + V and press Enter . Follow the prompts in Terminal, do that for each of the four lines for your Ubuntu version.
  2. Load PlayOnLinux (press Super , type PlayOnLinux , press Enter )
  3. Click ‘Install’ (in the toolbar)
  4. Type ‘Adobe Acrobat Reader DC’ in the search bar
  5. Click ‘Adobe Acrobat Reader DC’
  6. Click ‘Install’ (bottom-right)
  7. Follow the install screens
  8. Once installed, click ‘Adobe Acrobat Reader DC’
  9. Click ‘Run’ (in the toolbar)

You’ll need to open PlayOnLinux to run Adobe Reader DC each time (note that you can have this installed alongside Adobe Reader 9.5.5). You can drag the desktop file into the Launcher to get a button there, you can also add an icon for it in the Ubuntu Dash using alacarte (‘Main Menu’). I might add instructions for that later (seems unlikely given that I wrote that over two years ago!).

источник

Добавить комментарий

Adblock
detector